<?php
/**
 * Created by PhpStorm.
 * User: marcel
 * Date: 06.06.17
 * Time: 15:11
 */

class a644_minfo {
    /** @var  rex_addon */
    protected static $addon = 'minfo';
    private static $instance;
    private static $inputConfig;

    public static function get($key, $default = '') {
        return self::getInstance()->getConfig($key, $default);
    }

    private static function getInstance() {
        if(!self::$instance) {
            self::$instance = rex_addon::get('minfo');
        }

        return self::$instance;
    }

    public static function getInputConfig() {
        if(!self::$inputConfig) {
            self::$inputConfig = rex_file::getConfig(self::getInstance()->getDataPath('inputs.yml'));
        }
        return self::$inputConfig;
    }

    public static function getInput($data, $input, $prefix) {
		$addon = rex_addon::get('minfo');
		/** @var rex_input element */
		if(isset($data['type']) && $data['type'] == 'link') {
			$element = new rex_input_linkbutton();
			$element->setButtonId($data['id']);
		} elseif(isset($data['type']) && $data['type'] == 'media') {
			$element = new rex_input_mediabutton();
			$element->setButtonId($data['id']);
		} elseif(isset($data['type']) && $data['type'] == 'linklist') {
			$element = new rex_input_linklistbutton();
			$element->setButtonId($data['id']);
		} elseif(isset($data['type']) && $data['type'] == 'medialist') {
			$element = new rex_input_medialistbutton();
			$element->setButtonId($data['id']);
		} elseif(isset($data['type']) && $data['type'] == 'textarea') {
			$element = new rex_input_textarea();
		} else {
			$element = new rex_input_text();
		}

		$element->setValue($addon->getConfig($input,''));
		$element->setAttribute('name',$prefix.$input);
		$element->setAttribute('id',$prefix.$input);
		$element->setAttribute('class','form-control');

		return $element->getHtml();
	}

	public static function i18n()
	{
		$output = '';

		$args = func_get_args();
		if(!empty($args[0]))
		{
			$string = $args[0];
			$string = preg_replace('/^' . static::$addon . '_/', '', $string);

			$checkfor = [];
			if(!empty(static::$plugin))
			{
				$checkfor[] = static::$addon . '_' . $string;
			}
			$checkfor[] = static::$addon . '_' . $string;
			$checkfor[] = $string;

			foreach($checkfor as $checkstr)
			{
				$checkargs = $args;
				$checkargs[0] = $checkstr;
				$translation = call_user_func_array(array(self::getInstance(), 'i18n'), $checkargs);
				if(substr($translation,0,11) != '[translate:')
				{
					return $translation;
				}
				unset($checkargs, $translation);
			}
			unset($checkfor, $checkstr, $string);

			return call_user_func_array(array(self::getInstance(), 'i18n'), $args);
		}

		return '';
	}
}