<?php
/**
 * Created by PhpStorm.
 * User: marcel
 * Date: 06.06.17
 * Time: 15:09
 */

echo rex_view::title('Allgemeine Infos');

$context = new rex_context([
	'page' => rex_be_controller::getCurrentPage(),
	'clang' => rex_clang::getCurrentId()
]);
$lang = '<div class="row">'.rex_view::clangSwitchAsButtons($context).'</div>';
$clang_code = rex_clang::getCurrent()->getCode();

//echo rex_be_controller::includeCurrentPageSubPath();

/**
 * CONFIG
 */
$prefix = 'minfo_';
$inputs = a644_minfo::getInputConfig();

/** @var rex_addon $addon */
$addon = rex_addon::get('minfo');
$clang = rex_clang::getCurrent()->getCode();

if(isset($_POST['btn_save'])) {
    foreach($inputs as $input => $data) {
        $addon->setConfig($clang_code.'_'.$input, rex_request::post($prefix.$clang_code.'_'.$input,'string',''));
    }
    echo rex_view::success('Erfolgreich gespeichert');
}

$content = $lang;
$content .= '<fieldset><legend>' . a644_minfo::i18n('minfo_global_settings_for').' '.strtoupper($clang_code) . '</legend>';
foreach($inputs as $input => $data) {
    if(isset($data['type']) && $data['type'] == 'devider') {
		$content .= '</fieldset><fieldset style="margin-top: 50px;"><legend>' . a644_minfo::i18n($input).' '.strtoupper($clang_code) . '</legend>';
    } else {
		$content .= '<div class="form-group"><fieldset><label for="' . $prefix . $input . $clang . '" class="control-label col-sm-2" style="margin-top: 8px; text-align: right;">' . a644_minfo::i18n($input) . '</label>';
		$content .= '<div class="col-sm-10">' . a644_minfo::getInput($data, $clang_code . '_' . $input, $prefix) . (isset($data['desc']) ? '<div class="help-block">' . a644_minfo::i18n($data['desc']) . '</div>' : '') . '</div></fieldset></div>';
	}
}

$inputs2 = $inputs;
$inputs = [
    [
	'field' => '<button class="btn btn-save rex-form-aligned" type="submit" name="btn_save" value="' . a644_minfo::i18n('save') . '">' . a644_minfo::i18n('save') . '</button>'
    ],
    [
	'field' => '<button class="btn btn-reset" type="reset" name="btn_reset" value="' . a644_minfo::i18n('reset') . '" data-confirm="' . a644_minfo::i18n('reset_info') . '">' . a644_minfo::i18n('reset') . '</button>'
    ],
    [
	'field' => '<input type="hidden" name="clang" value="' . rex_clang::getCurrentId() . '" />'
    ]
];

$fragment = new rex_fragment();
$fragment->setVar('elements', $inputs, false);

$buttons = $fragment->parse('core/form/submit.php');

$fragment = new rex_fragment();
$fragment->setVar('class', 'edit', false);
$fragment->setVar('body', $content, false);
$fragment->setVar('buttons', $buttons, false);
$content = $fragment->parse('core/page/section.php');
?>

<form class="form rex-form" action="<?=rex_url::backendPage(rex_be_controller::getCurrentPage());?>" method="post" id="infos">
    <?=$content;?>
</form>